Setup CrissCross integration.
curl --request PUT \
--url https://sandbox-api.borderless.xyz/v1/organizations/integrations/crisscross \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientId": "your-crisscross-client-id",
"clientSecret": "your-crisscross-client-secret",
"merchantId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"thirdPartyPayoutFlowEnabled": true
}
'import requests
url = "https://sandbox-api.borderless.xyz/v1/organizations/integrations/crisscross"
payload = {
"clientId": "your-crisscross-client-id",
"clientSecret": "your-crisscross-client-secret",
"merchantId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"thirdPartyPayoutFlowEnabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientId: 'your-crisscross-client-id',
clientSecret: 'your-crisscross-client-secret',
merchantId: 'f47ac10b-58cc-4372-a567-0e02b2c3d479',
thirdPartyPayoutFlowEnabled: true
})
};
fetch('https://sandbox-api.borderless.xyz/v1/organizations/integrations/crisscross', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Integrations Config
Setup CrissCross integration.
deprecated
Create CrissCross OAuth client credentials and merchant configuration.
PUT
/
v1
/
organizations
/
integrations
/
crisscross
Setup CrissCross integration.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The CrissCross clientId for OAuth authentication.
Required string length:
1 - 256Example:
"your-crisscross-client-id"
The CrissCross clientSecret for OAuth authentication.
Required string length:
1 - 256Example:
"your-crisscross-client-secret"
The CrissCross merchantId for Payouts API requests.
Required string length:
1 - 256Example:
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Enable the third-party payout flow for withdrawals with a counterPartyIdentityId.
Example:
true
Response
202
Organization CrissCross integration data
Was this page helpful?
⌘I